> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectorify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of upserts

> Retrieve a list of upserts. An upsert is an operation that allows you to create or update items in a single operation.



## OpenAPI

````yaml https://vectorify.ai/api.json get /upserts
openapi: 3.1.0
info:
  title: Vectorify
  version: 1.0.0
servers:
  - url: https://api.vectorify.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Query
  - name: Chats
  - name: Upserts
  - name: Items
  - name: Collections
paths:
  /upserts:
    get:
      tags:
        - Upserts
      summary: Retrieve a list of upserts
      description: >-
        Retrieve a list of upserts. An upsert is an operation that allows you to
        create or update items in a single operation.
      operationId: upserts.index
      responses:
        '200':
          description: Paginated set of `Upsert`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Upsert'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                      total:
                        type: integer
                        description: Total number of items being paginated.
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                required:
                  - data
                  - links
                  - meta
components:
  schemas:
    Upsert:
      type: object
      properties:
        id:
          type: string
        chunk_size:
          type: integer
        status:
          type: string
        started_at:
          type: string
        completed_at:
          type: string
        created_at:
          type: string
      required:
        - id
        - chunk_size
        - status
        - started_at
        - completed_at
        - created_at
      title: Upsert
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Api-Key

````